HTTP: knowledge
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/knowledge/pending
Section titled “GET /api/knowledge/pending”List Pending Knowledge
Operation ID: list_pending_knowledge_api_knowledge_pending_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
namespace |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Namespace"} |
label |
query | False | {"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Label"} |
kind |
query | False | {"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Kind"} |
aspect |
query | False | {"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Aspect"} |
visibility |
query | False | {"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/KnowledgeVisibility"}},{"type":"null"}],"title":"Visibility"} |
source_type |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Type"} |
source_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Id"} |
limit |
query | False | {"type":"integer","default":50,"title":"Limit"} |
max_bytes |
query | False | {"type":"integer","default":20000,"title":"Max Bytes"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PendingKnowledgeListResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: HTTPValidationError, PendingKnowledgeListResponse.
GET /api/knowledge/pending/{entry_id}
Section titled “GET /api/knowledge/pending/{entry_id}”Get Pending Knowledge
Operation ID: get_pending_knowledge_api_knowledge_pending__entry_id__get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
entry_id |
path | True | {"type":"string","minLength":1,"title":"Entry Id"} |
max_chunks |
query | False | {"type":"integer","maximum":50,"minimum":1,"default":50,"title":"Max Chunks"} |
max_bytes |
query | False | {"type":"integer","maximum":128000,"minimum":1,"default":128000,"title":"Max Bytes"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PendingKnowledgeDetailResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: HTTPValidationError, PendingKnowledgeDetailResponse.
POST /api/knowledge/{entry_id}/approve
Section titled “POST /api/knowledge/{entry_id}/approve”Approve Knowledge
Operation ID: approve_knowledge_api_knowledge__entry_id__approve_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
entry_id |
path | True | {"type":"string","minLength":1,"title":"Entry Id"} |
Idempotency-Key |
header | False | {"anyOf":[{"type":"string","minLength":1,"maxLength":256},{"type":"null"}],"title":"Idempotency-Key"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiReviewedKnowledgeEntry" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiReviewedKnowledgeEntry, HTTPValidationError.
POST /api/knowledge/{entry_id}/reject
Section titled “POST /api/knowledge/{entry_id}/reject”Reject Knowledge
Operation ID: reject_knowledge_api_knowledge__entry_id__reject_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
entry_id |
path | True | {"type":"string","minLength":1,"title":"Entry Id"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiReviewedKnowledgeEntry" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiReviewedKnowledgeEntry, HTTPValidationError.